#ifndef PY_HPP
#define PY_HPP PyTarget
using namespace StandardComponents;

struct PyTarget: Target {
    print_functions_pair printFunctions() final { return make_pair("sys.stdout.write", "print"); }
    optional_string uniqueLineSeparator() final { return {}; }
    unordered_task_map getTaskMap() final {
        return {
            make_task(Define, output << parseComponent.name << " = ";),
            make_task(types::String, stringInterpolation(R"(""")", parseComponent.content);)
        };
    }
    using Target::Target;
};

#endif